import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/api/webapp/disk/semester/` + url, ...arg)

/**
 * 学期表Api接口管理器
 *
 * @author honorfire
 * @date  2025/07/22 18:17
 **/
export default {
	// 获取学期表分页
	semesterPage(data) {
		return request('page', data, 'get')
	},
	// 提交学期表表单 edit为true时为编辑，默认为新增
	semesterSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除学期表
	semesterDelete(data) {
		return request('delete', data)
	},
	// 获取学期表详情
	semesterDetail(data) {
		return request('detail', data, 'get')
	}}
